Forum Rule: Always post complete source code & details to reproduce any issue!
Results 1 to 3 of 3

Thread: Interval Timer on Teensy 4.0 not supported

  1. #1

    Interval Timer on Teensy 4.0 not supported

    I was just looking on the PJRC website looking to use the IntervalTimer class on my Teensy 4 boards.

    Link here:
    https://www.pjrc.com/teensy/td_timin...rvalTimer.html

    The webpage, however, says, quote:

    "IntervalTimer is supported only on 32 bit boards: Teensy LC, 3.0, 3.1, 3.2, 3.5 & 3.6."

    Does this mean that the Teensy 4.0 is not supported?

    Maybe this is just a mistake in the website?

    I am not sure if the statement is correct or if the website just needs updating.

    Which is it?

    Thanks

  2. #2
    I would also like to mention that the webpage linked below ALSO does not mention the Teensy 4.0

    https://www.pjrc.com/teensy/td_libs_TimerOne.html

  3. #3
    Senior Member+ KurtE's Avatar
    Join Date
    Jan 2014
    Posts
    6,094
    There are lots of the web pages that probably have not updated yet...

    With Teensy 4, I often first look at the beta thread: https://forum.pjrc.com/threads/54711...l=1#post193717

    Looks like there may be a slight bug in IntervalTimer if you change priority of an interval timer if you have more than 2 of them it may not update correctly, but I doubt this happens very often...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •